:root {
  --font-en: "REM", sans-serif;
  --gradation: linear-gradient(#dc699c, #ed6d34);

  --yellow: #fff100;
  --orange: #fdd000;
  --navy: #004ea2;
  --pink: #e95383;
  --green: #338d27;
  --brown: #6e4900;

  --bg-cream: #fffde5;
  --border-gray: #ccc;
}

/* ----------------------------------------------
hero
----------------------------------------------- */

.p-hero {
  position: relative;
  width: 100%;
}

.p-hero__container {
  position: relative;
  aspect-ratio: 1440 / 900;
  max-width: 1440px;
  width: 100%;
  margin-inline: auto;
}

.p-hero__img {
  position: absolute;
  aspect-ratio: 1440 / 900;
  max-width: 1440px;
  width: 100%;
  z-index: 1;

  top: 0;
  left: 50%;
  transform: translateX(-50%);
  animation-delay: 0.5s;
}

.p-hero__flag {
  position: absolute;
  top: -5px;
  width: 100%;
  z-index: 0;
}

.p-hero p{
  position: absolute;
  top: 20px;
  left: 20px;

  color: #333;
  font-size: 0.875rem;
  font-weight: 900;
  paint-order: stroke fill;
  -webkit-text-fill-color: 3px #333;
  -webkit-text-stroke: 3px #fff;
  z-index: 3;

  animation-delay: 1s;
}

.-hero_fadeIn{
  animation-name: hero_fadeIn;
  animation-fill-mode: forwards;
  animation-duration: 2.5s;
  opacity: 0;
}

/* フェイドインアニメーション */
@keyframes hero_fadeIn {
  0% {
  }
  100% {
    opacity: 1;
  }
}

@media screen and (max-width: 767px) {
  .p-hero__container {
    position: relative;
    aspect-ratio: 390 / 845;
  }

  .p-hero p{
    width: 100%;
    font-size: 0.7rem;
    text-align: center;
    top: auto;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
  }
}

/* ----------------------------------------------
intro
----------------------------------------------- */

.p-intro{
  padding-bottom: 120px;
}

@media screen and (max-width: 767px) {

.p-intro{
    padding-bottom: 80px;
  }
}

/* ----------------------------------------------
about
----------------------------------------------- */

.p-about {
  margin-top: 160px;
}

.p-about__innerBox {
  position: relative;
}

.p-about__dateImg {
  max-width: 750px;
  width: 90%;
  position: absolute;
  top: clamp(-80px, calc(100vw * (-80 / 750)), 0px);
  left: 50%;
  transform: translateX(-50%);
}

.p-about__innerBox {
  padding-top: clamp(0px, calc(100vw * (140 / 1000)), 140px);
  padding-bottom: 5rem;
}

.p-about__text {
  max-width: 800px;
  width: 100%;
  margin-inline: auto;
}

@media screen and (max-width: 767px) {
  .p-about {
    margin-top: 60px;
  }

  .p-about__innerBox {
    padding-bottom: 2.5rem;
  }

  .p-about__text {
    max-width: 800px;
    width: 100%;
    margin-inline: auto;
    margin-top: 1.25rem;
  }
}

/* ----------------------------------------------
LINE UP
----------------------------------------------- */

.p-lineUp__grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 1.5rem;
  max-width: 800px;
  margin-inline: auto;
}

.p-lineUp__link {
  display: block;
  padding: 1.25em;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 20px;
  box-shadow: 0 0 0 5px #fff;

  min-height: 150px;
}

.p-lineUp__link.-concert {
  background-color: #fff100;
  grid-area: 1 / 1 / 2 / 3;
}

.p-lineUp__link.-concert img {
  max-width: 660px;
}

.p-lineUp__link.-workshop {
  background-color: #fa9aa3;
  grid-area: 2 / 1 / 3 / 2;
}

.p-lineUp__link.-workshop img {
  max-width: 330px;
}

.p-lineUp__link.-fair {
  background-color: #a9e1ff;
  grid-area: 2 / 2 / 3 / 3;
}

.p-lineUp__link.-fair img {
  max-width: 330px;
}

@media screen and (min-width: 768px) {
  .p-lineUp__link:hover {
    transform: translateY(-5px);
  }
}

@media screen and (max-width: 767px) {
  .p-lineUp__grid {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    gap: 1rem;
  }

  .p-lineUp__grid .p-lineUp__link {
    min-height: 95px;
  }
  .p-lineUp__grid .p-lineUp__link.-concert,
  .p-lineUp__grid .p-lineUp__link.-workshop,
  .p-lineUp__grid .p-lineUp__link.-fair {
    grid-area: auto;
  }

  .p-lineUp__grid .p-lineUp__link.-concert img,
  .p-lineUp__grid .p-lineUp__link.-workshop img {
    height: 50px;
  }

  .p-lineUp__grid .p-lineUp__link.-fair img {
    height: 60px;
  }
}
/* ----------------------------------------------
TIME TABLE
----------------------------------------------- */
.p-timeTable {
  margin-top: 40px;
}

@media screen and (max-width: 767px) {
  .p-timeTable {
    margin-top: 20px;
  }
}

/* ----------------------------------------------
0歳からみんなで楽しめるバリアフリーコンサート
----------------------------------------------- */

.p-concert__innerBox {
  position: relative;
  margin-top: 80px;
  max-width: 800px;
  margin-inline: auto;
}

.p-concert__textImg {
  max-width: 610px;
  width: 90%;
  position: absolute;
  bottom: calc(100% - 20px);
  left: 50%;
  transform: translateX(-50%);
}

@media screen and (max-width: 767px) {
  .p-concert__innerBox {
    position: relative;
    margin-top: 40px;
  }

  .p-concert__textImg {
    bottom: calc(100% - 10px);
  }
}

/* プログラム
----------------------------------------------- */

.p-concertProgram {
  max-width: 800px;
  margin-inline: auto;
  padding: 40px;
  padding-bottom: calc(40px + 22px);

  background: url(../img/bg-dot.png) var(--yellow) repeat center / 16px auto;
  border-radius: 20px;
  box-shadow: 0 0 0 16px var(--orange);

  display: flex;
  flex-direction: column;
  color: var(--navy);
}

.p-concertProgram__title {
  max-width: 400px;
  width: 80%;
  margin-inline: auto;
}

.p-concertProgram__arrange {
  text-align: center;
  font-weight: 900;
  font-size: 1.5rem;
  margin-top: 1rem;
}

.p-concertProgram__list {
  display: inline-block;
  margin-inline: auto;
  font-weight: 900;
  font-size: 1.25rem;

  margin-top: 40px;
}

.p-concertProgram__workshop {
  position: relative;
  background-color: var(--bg-cream);
  padding: 40px;
  padding-bottom: calc(40px + 22px);
  border-radius: 20px;
  margin-top: 40px;

  display: flex;
  flex-direction: column;
  gap: 1em;
}

.p-concertProgram__workshop > p {
  text-align: center;
  font-size: 0.875em;
}

.p-concertProgram__workshop > img {
  max-width: 350px;
  width: 90%;
  margin-inline: auto;
}

.p-concertProgram__btn {
  position: absolute;

  bottom: -22px;
  left: 50%;
  transform: translateX(-50%);
}

@media screen and (max-width: 767px) {
  .p-concertProgram {
    padding: 20px;
    padding-bottom: calc(20px + 20px);
    box-shadow: 0 0 0 8px var(--orange);
  }

  .p-concertProgram__arrange {
    font-size: 1rem;
    margin-top: 0.5rem;
  }

  .p-concertProgram__list {
    font-size: 1em;
    margin-top: 20px;
  }

  .p-concertProgram__workshop {
    padding: 20px;
    padding-bottom: calc(20px + 20px);
    border-radius: 20px;
    margin-top: 20px;
  }

  .p-concertProgram__btn {
    bottom: -23px;
  }
}

/* アーティスト
----------------------------------------------- */

.p-concerArtist__grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 16px;
}

.p-concerArtist__btn {
  transition: 0.4s ease;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.p-concerArtist__btn > .c-btn--small{
  margin-top: -12px;
  box-shadow: 0 0 0 3px #fff;
}

@media screen and (min-width: 768px) {
  .p-concerArtist__btn:hover {
    transform: translateY(-5px);
  }

  .p-concerArtist__btn > .c-btn--small:hover{
    transform: translateY(0px);
  }
}

@media screen and (max-width: 767px) {
  .p-concerArtist__grid {
    grid-template-columns: repeat(2, 1fr);
      gap: 8px;
  }

  .p-concerArtist__btn > .c-btn--small{
  margin-top: -8px;
  box-shadow: 0 0 0 3px #fff;
}
}

/* チケット
----------------------------------------------- */

.p-concerTicket {
  display: flex;
  flex-direction: column;
}

.p-concerTicket__blockWrap {
  width: 100%;
  max-width: 840px;
  margin: 0 auto;
  padding-inline: 20px;

  display: flex;
  flex-direction: column;
  gap: 40px;
}

.p-concerTicket__block {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.p-concerTicket__block:first-child {
  position: relative;
  margin-top: clamp(85px, calc(50% * (170 / 300)), 0px);
  padding-top: clamp(85px, calc(50% * (170 / 300)), 0px);

  margin-bottom: clamp(50px, calc(50% * (100 / 1050)), 0px);
  padding-bottom: clamp(50px, calc(50% * (100 / 1050)), 0px);
}

.p-concerTicket__priceImg {
  max-width: 300px;
  width: 100%;

  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
}

.p-concerTicket__notice {
  text-align: center;
  font-size: 0.75em;

  margin-top: 12px;
  margin-bottom: 20px;
}

.p-concerTicket__btn {
  width: 105%;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%) translateY(50%);
}

.p-concerTicket__btn .c-modal__btn {
  max-width: unset;
  font-size: 1.25rem;
  line-height: 1.4;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 0 0.25em;
}

.p-concerTicket__btn .c-modal__btn strong {
  font-size: 1.5em;
  font-weight: 800;
}

.p-concerTicket__title {
  position: relative;
  font-size: 1.25em;
  font-weight: 700;
  display: flex;
  align-items: center;
}

.p-concerTicket__title > i {
  display: inline-block;
  width: 4rem;
  height: 4rem;
  background: url(../img/icon-wheelchair.svg) no-repeat center center / contain;
}

@media screen and (max-width: 767px) {
  .p-concerTicket__blockWrap {
    padding-inline: 10px;
    gap: 20px;
  }

  .p-concerTicket__block {
    display: flex;
    flex-direction: column;
    gap: 16px;
  }

  .p-concerTicket__block:first-child {
    position: relative;
    margin-top: clamp(70px, calc(50% * (140 / 250)), 0px);
    padding-top: clamp(70px, calc(50% * (140 / 250)), 0px);

    margin-bottom: 45px;
    padding-bottom: 45px;
  }

  .p-concerTicket__priceImg {
    max-width: 250px;
  }

  .p-concerTicket__notice {
    text-align: justify;
    text-indent: -1em;
    padding-left: 1em;
  }

  .p-concerTicket__btn .c-modal__btn {
    max-width: unset;
    font-size: clamp(0.75rem, 0.571rem + 0.89vw, 1rem);
    flex-direction: column;
  }

  .p-concerTicket__title > i {
    width: 3.5rem;
    height: 3.5rem;
  }
}

/* 招待 モーダル 中身
----------------------------------------------- */
.p-concerTicket__modal > h4 {
  padding-bottom: 20px;
  margin-bottom: 20px;
  border-bottom: 1px var(--border-gray) solid;

  display: flex;
  flex-direction: column;
  gap: 1em;
  align-items: center;
}

.p-concerTicket__modal > h4 > img {
  max-width: 400px;
  width: 100%;
}

.p-concerTicket__modal > h4 > p {
  padding: 0.5em 1em;
  color: #fff;
  text-align: center;
  background-color: var(--pink);
  width: fit-content;
}

.p-concerTicket__modal .c-ticket-dl__item .c-btn--small {
  margin-top: 0;
}

/* ----------------------------------------------
親子のための手作り楽器ワークショップ
----------------------------------------------- */

.p-workshop__introGrid {
  display: grid;
  grid-template-columns: 59fr 37fr;
  gap: 40px clamp(1.25rem, -0.964rem + 4.62vw, 2.5rem);
}

.p-workshop__introTitle {
  grid-area: 1 / 1 / 2 / 2;
  max-width: 590px;
  margin-top: auto;
}

.p-workshop__introText {
  grid-area: 2 / 1 / 3 / 2;

  font-size: clamp(1.125rem, 0.461rem + 1.39vw, 1.5rem);
  font-weight: 900;
  text-align: center;
  color: var(--navy);
}

.p-workshop__introImg {
  grid-area: 1 / 2 / 3 / 3;
  max-width: 370px;
}

.p-workshop__innerBox {
  margin-top: 20px;
}

.p-workshop__dl {
  padding-bottom: 20px;
  margin-bottom: 20px;
  border-bottom: 1px solid var(--border-gray);
}

.p-workshop__announce {
  background-color: var(--bg-cream);
  border: 4px solid #f39800;
  border-radius: 5px;
  padding: 20px;
  text-align: center;
  margin-top: 20px;
}

@media screen and (max-width: 767px) {
  .p-workshop__introGrid {
    display: grid;
    grid-template-columns: 60fr 40fr;
    gap: clamp(0.75rem, 0.284rem + 2.02vw, 1.25rem);
  }

  .p-workshop__introTitle {
    grid-area: 1 / 1 / 2 / 3;
    max-width: unset;
    margin-top: auto;
  }

  .p-workshop__introText {
    grid-area: 2 / 1 / 3 / 2;
    font-size: clamp(0.875rem, 0.526rem + 1.51vw, 1.25rem);
    text-align: justify;

    margin-block: auto;
  }

  .p-workshop__introImg {
    grid-area: 2 / 2 / 3 / 3;
    max-width: unset;
  }

  .p-workshop__announce {
    text-align: justify;
  }
}

/* ----------------------------------------------
山科ええとこ盛りだくさんフェア
----------------------------------------------- */
.p-fair__innerBox {
  position: relative;
  margin-top: clamp(100px, calc(100% * (90 / 500) + 100px), 170px);
  max-width: 800px;
  margin-inline: auto;
}

.p-fair__textImg {
  max-width: 500px;
  width: 90%;
  position: absolute;
  bottom: calc(100% - 20px);
  left: 50%;
  transform: translateX(-50%);
}

.p-fair__dl {
  padding-bottom: 20px;
  margin-bottom: 20px;
  border-bottom: 1px solid var(--border-gray);
}

.p-fairShop__heading {
  max-width: 180px;
  margin-inline: auto;
}

.p-fairShop__list {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1em;
  margin-top: 20px;
}

.p-fairShop__item {
  position: relative;
  padding: 8px;
  padding-bottom: 48px;
  border-radius: 5px;
  background-color: #fff;

  text-align: center;


}

.p-fairShop__item > h4 {
  font-size: 1rem;
  color: var(--brown);
  font-weight: 900;
  margin-top: 0.5em;
  line-height: 1.5;
}

.p-fairShop__item > h4:has(small) {
  line-height: 1.2;
}

.p-fairShop__item > p {
  font-size: 0.875rem;
  font-weight: 900;
  color: var(--green);
}

.p-fairShop__btn {
  display: flex;
  align-items: center;
  font-size: 0.65rem;
  width: max-content;
  color: #fff;
  font-weight: 700;
  background-color: var(--brown);
  padding: 0.25em 1.25em;
  border-radius: 100px;
  margin-inline:auto;
  margin-top: 0.5em;
}

.p-fairShop__item > .p-fairShop__btn {
  position: absolute;

  bottom: 12px;
  left: 50%;
  transform: translateX(-50%);
}

.p-fairShop__btn:has(i){
  padding-left: calc(1em + 1.25em) ;
} 

.p-fairShop__btn > i{
  display: inline-block;
  width: 1.25em;
  height: 1.25em;
  margin-left: 0.25em;
}

.p-fairShop__btn > i.-arrow{
  background: url(../img/icon-arrow.svg) no-repeat center / contain
}

.p-fairShop__btnWrap{
  position: absolute;
  display: flex;
  gap: 0.5em;

  bottom: 12px;
  left: 50%;
  transform: translateX(-50%);
}

.p-fairShop__btnWrap > .p-fairShop__btn{
    padding: 0.25em 1em;

}

.p-fairShop__btnWrap > .p-fairShop__btn:has(i){
  padding-left: calc(0.75em + 0.75em) ;
} 


@media screen and (min-width: 768px) {
  .p-fairShop__item > .p-fairShop__btn:hover {
    transform:translateX(-50%) translateY(-3px);
  }

  .p-fairShop__btnWrap > .p-fairShop__btn:hover{
        transform:translateY(-3px);
  }
}

.p-fairWorkshop__list {
  max-width: 800px;
  width: 100%;
  margin-inline: auto;
}


.p-fairWorkshop__item + .p-fairWorkshop__item {
  margin-top: 40px;
}

.p-fairWorkshop__headingGrid {
  display: grid;
  grid-template-columns: 20fr 80fr;
  gap: clamp(1rem, 0.43rem + 1.19vw, 1.5rem);
}

.p-fairWorkshop__headingGrid > img {
  grid-area: 1 / 1 / 3 / 2;
  min-width: 80px;
}

.p-fairWorkshop__titleWrap {
  grid-area: 1 / 2 / 2 / 3;
  margin-top: auto;
}

.p-fairWorkshop__headingGrid .c-event__tagList {
  align-items: baseline;
  justify-content: flex-start;
  margin-top: 0;
  grid-area: 2 / 2 / 3 / 3;
}

.p-fairWorkshop__titleWrap > h4 {
  font-size: 1.5rem;
  line-height: 1.5;
  font-weight: 900;
}

.p-fairWorkshop__content{
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.p-fairWorkshop__imgBox {
  display: flex;
  gap: 1em;
}

.p-fairWorkshop__imgBox > img {
  width: calc((100% - 1em) / 2);
}

.p-fairWorkshop__imgBox:has(:only-child) > img {
  width: 100%;
}

.p-fairWorkshop__dl {
  padding-top: 20px;
  border-top: 1px solid var(--border-gray);
}

.p-fairWorkshop__host {
  display: flex;
  align-items: center;
  gap: 40px;

  padding-block: 40px;
  border-block: 1px solid var(--border-gray);
}

.p-fairWorkshop__host > img {
  max-width: 250px;
}

.p-fairWorkshop__hostTextBox .c-dl__item dd {
  font-size: 1.5rem;
}

.p-fairWorkshop__hostTextBox > p {
  margin-top: 20px;
}

.p-fairWorkshop__artistList {
  display: flex;
  gap: 40px;
}

.p-fairWorkshop__artistItem > p {
  text-align: center;
  line-height: 1.2;
  margin-top: 0.85em;
}

@media screen and (max-width: 767px) {
  .p-fair__innerBox {
    position: relative;
    margin-top: clamp(20px, calc(100% * (90 / 500) + 20px), 90px);
  }

  .p-fair__textImg {
    bottom: calc(100% - 10px);
  }

  .p-fairShop__heading {
    max-width: 120px;
  }

  .p-fairShop__list {
    grid-template-columns: repeat(2, 1fr);
  }

  .p-fairShop__item > h4 {
    font-size: 0.75rem;
  }

  .p-fairShop__item > p {
    font-size: 0.625rem;
  }

  .p-fairWorkshop__item {
    gap: 20px;
  }

  .p-fairWorkshop__headingGrid > img {
    grid-area: 1 / 1 / 2 / 2;
    margin-block: auto;
  }

  .p-fairWorkshop__titleWrap {
    grid-area: 1 / 2 / 2 / 3;
    margin-block: auto;
  }

  .p-fairWorkshop__titleWrap > h4 {
    font-size: 1rem;
    font-weight: 900;
  }

  .p-fairWorkshop__titleWrap > p {
    font-size: 0.75rem;
  }

  .p-fairWorkshop__headingGrid .c-event__tagList {
    grid-area: 2 / 1 / 3 / 3;
  }

  .p-fairWorkshop__content{
  gap: 20px;
}


  .p-fairWorkshop__imgBox {
    flex-direction: column;
  }

  .p-fairWorkshop__imgBox > img {
    width: 100%;
  }

  .p-fairWorkshop__host {
    flex-direction: column;
    gap: 20px;
    padding-block: 20px;
  }

  .p-fairWorkshop__hostTextBox .c-dl__item dd {
    font-size: 1rem;
  }

  .p-fairWorkshop__hostTextBox > p {
    margin-top: 12px;
  }

  .p-fairWorkshop__artistList {
    flex-wrap: wrap;
    gap: 20px;
  }

  .p-fairWorkshop__artistItem {
    margin-inline: auto;
  }

  .p-fairWorkshop__artistItem > img {
    max-width: 250px;
  }
}

/* ----------------------------------------------
アクセス
----------------------------------------------- */

.p-access__grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

.p-access__imgBox {
  border-radius: 50px;
  grid-area: 1 / 1 / 2 / 2;
}

.p-access__imgBox > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 50px;
}

.p-access__infoBox {
  display: flex;
  flex-direction: column;
  justify-content: center;
  grid-area: 1 / 2 / 2 / 3;
}

.p-access__infoBox > h3 {
  font-size: 1.5rem;
  font-weight: 900;
  margin-bottom: 1rem;
}

.p-access__linkList {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 8px 20px;

  margin-top: 1rem;
}

.p-access__map {
  height: 400px;
  grid-area: 2 / 1 / 3 / 3;
}

.p-access__map > iframe {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 50px;
}

@media screen and (max-width: 767px) {
  .p-access__grid {
    grid-template-columns: repeat(1, 1fr);
    gap: 8px;
  }

  .p-access__imgBox {
    grid-area: 2 / 1 / 3 / 2;
    height: 250px;
  }

  .p-access__imgBox > img {
    border-radius: 25px;
  }

  .p-access__infoBox {
    grid-area: 1 / 1 / 2 / 2;
  }

  .p-access__infoBox > h3 {
    font-size: 1rem;
    margin-bottom: 0.25rem;
  }

  .p-access__map {
    grid-area: 3 / 1 / 4 / 2;
    height: 250px;
  }

  .p-access__map > iframe {
    border-radius: 25px;
  }
}

/* ----------------------------------------------
お問い合わせ
----------------------------------------------- */

.p-contact > .c-heading {
  margin-bottom: 0;
}

.p-contact__infoBox {
  background-color: #fffef2;
  border-radius: 50px;
  padding-inline: 40px;
  padding-top: 80px;
  padding-bottom: 40px;

  text-align: center;
  margin-top: -40px;
}

.p-contact__infoBox > h3 {
  font-weight: 900;
}

.p-contact__link{
  margin-top: 20px;
}

.p-contact__linkList {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 8px 20px;
  margin-top: 20px;
}

@media screen and (max-width: 767px) {
  .p-contact__infoBox {
    border-radius: 25px;
    padding-inline: 20px;
    padding-top: 60px;
    padding-bottom: 20px;
  }
}
